org.apache.uima.cas.impl

## Enum SlotKinds.SlotKind

- java.lang.Object
- - java.lang.Enum<SlotKinds.SlotKind>
  - - org.apache.uima.cas.impl.SlotKinds.SlotKind

- All Implemented Interfaces:
    Serializable, Comparable<SlotKinds.SlotKind>
  Enclosing class:
    SlotKinds

      public static enum SlotKinds.SlotKind
      extends Enum<SlotKinds.SlotKind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Slot_ArrayLength`
    `Slot_Boolean`
    `Slot_BooleanRef`
    `Slot_Byte`
    `Slot_ByteRef`
    `Slot_Control`
    `Slot_Double_Exponent`
    `Slot_Double_Mantissa_Sign`
    `Slot_DoubleRef`
    `Slot_Float`
    `Slot_Float_Exponent`
    `Slot_Float_Mantissa_Sign`
    `Slot_FsIndexes`
    `Slot_HeapRef`
    `Slot_Int`
    `Slot_Long_High`
    `Slot_Long_Low`
    `Slot_LongRef`
    `Slot_MainHeap`
    `Slot_Short`
    `Slot_ShortRef`
    `Slot_StrChars`
    `Slot_StrLength`
    `Slot_StrOffset`
    `Slot_StrRef`
    `Slot_StrSeg`
    `Slot_TypeCode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `canBeNegative`
    `int` | `elementSize`
    `boolean` | `inMainHeap`
    `static int` | `NBR_SLOT_KIND_ZIP_STREAMS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SlotKinds.SlotKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SlotKinds.SlotKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Slot_ArrayLength

          public static final SlotKinds.SlotKind Slot_ArrayLength

    - #### Slot_HeapRef

          public static final SlotKinds.SlotKind Slot_HeapRef

    - #### Slot_Int

          public static final SlotKinds.SlotKind Slot_Int

    - #### Slot_Byte

          public static final SlotKinds.SlotKind Slot_Byte

    - #### Slot_Short

          public static final SlotKinds.SlotKind Slot_Short

    - #### Slot_TypeCode

          public static final SlotKinds.SlotKind Slot_TypeCode

    - #### Slot_StrOffset

          public static final SlotKinds.SlotKind Slot_StrOffset

    - #### Slot_StrLength

          public static final SlotKinds.SlotKind Slot_StrLength

    - #### Slot_Long_High

          public static final SlotKinds.SlotKind Slot_Long_High

    - #### Slot_Long_Low

          public static final SlotKinds.SlotKind Slot_Long_Low

    - #### Slot_Float_Mantissa_Sign

          public static final SlotKinds.SlotKind Slot_Float_Mantissa_Sign

    - #### Slot_Float_Exponent

          public static final SlotKinds.SlotKind Slot_Float_Exponent

    - #### Slot_Double_Mantissa_Sign

          public static final SlotKinds.SlotKind Slot_Double_Mantissa_Sign

    - #### Slot_Double_Exponent

          public static final SlotKinds.SlotKind Slot_Double_Exponent

    - #### Slot_FsIndexes

          public static final SlotKinds.SlotKind Slot_FsIndexes

    - #### Slot_StrChars

          public static final SlotKinds.SlotKind Slot_StrChars

    - #### Slot_Control

          public static final SlotKinds.SlotKind Slot_Control

    - #### Slot_StrSeg

          public static final SlotKinds.SlotKind Slot_StrSeg

    - #### Slot_StrRef

          public static final SlotKinds.SlotKind Slot_StrRef

    - #### Slot_BooleanRef

          public static final SlotKinds.SlotKind Slot_BooleanRef

    - #### Slot_ByteRef

          public static final SlotKinds.SlotKind Slot_ByteRef

    - #### Slot_ShortRef

          public static final SlotKinds.SlotKind Slot_ShortRef

    - #### Slot_LongRef

          public static final SlotKinds.SlotKind Slot_LongRef

    - #### Slot_DoubleRef

          public static final SlotKinds.SlotKind Slot_DoubleRef

    - #### Slot_Float

          public static final SlotKinds.SlotKind Slot_Float

    - #### Slot_Boolean

          public static final SlotKinds.SlotKind Slot_Boolean

    - #### Slot_MainHeap

          public static final SlotKinds.SlotKind Slot_MainHeap

  - ### Field Detail

    - #### canBeNegative

          public final boolean canBeNegative

    - #### inMainHeap

          public final boolean inMainHeap

    - #### elementSize

          public final int elementSize

    - #### NBR_SLOT_KIND_ZIP_STREAMS

          public static final int NBR_SLOT_KIND_ZIP_STREAMS

  - ### Method Detail

    - #### values

          public static SlotKinds.SlotKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SlotKinds.SlotKind c : SlotKinds.SlotKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SlotKinds.SlotKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.